package mvd.jester.priority;

import mvd.jester.model.Task;
import mvd.jester.simulator.AbstractSimulator;
import mvd.jester.simulator.internals.TaskContextInterface;
import mvd.jester.tests.AbstractTest;

/**
 * PriorityManager
 */
public interface PriorityManager {

    public int compare(Task t1, Task t2);

    public int compare(TaskContextInterface t1, TaskContextInterface t2);

    public boolean hasTest(AbstractTest abstractTest);

    public boolean hasSimulator(AbstractSimulator abstractTest);

    public String getName();

}
