package mvd.jester.simulator;

/**
 * EventPrinter
 */
public class EventPrinter {

    private static boolean printerEnabled;

    private EventPrinter() {
        printerEnabled = false;
    }

    public static void enablePrinter() {
        printerEnabled = true;
    }

    public static void disablePrinter() {
        printerEnabled = false;
    }

    public static void print(String text) {
        if (printerEnabled) {
            System.out.println(text);
        }
    }

}
