package mvd.jester.simulator.internals;

import java.util.Optional;

/**
 * JobContextInterface
 */
public interface JobContextInterface {

    public Optional<TaskContextInterface> updateExecution(long time);

    public boolean checkExecutionTime();

    public void setCurrentProcessor(ProcessorContext processor);

    public Optional<ProcessorContext> getCurrentProcessor();

    public TaskContextInterface getTaskContext();

    public boolean prepareJob(long time);
}
