package mvd.jester.simulator.internals;

import java.util.TreeSet;
import mvd.jester.priority.PriorityManager;

/**
 * SortedTaskContextSet
 */
public class SortedTaskContextSet extends TreeSet<TaskContextInterface> {

    private static final long serialVersionUID = 4808544133562675597L;

    public SortedTaskContextSet(PriorityManager priorityMananger) {
        super((t1, t2) -> priorityMananger.compare(t1, t2));
    }
}

