package mvd.jester.tests;

import java.util.HashMap;
import java.util.Map;
import java.util.Set;
import mvd.jester.PairInterface;
import mvd.jester.info.TerminationInfo;
import mvd.jester.model.SystemSetup;
import mvd.jester.model.Task;

/**
 * AbstractTest
 */
public abstract class AbstractTest implements TestInterface, PairInterface {

    protected final Map<Task, TerminationInfo> responseTimes;
    protected final SystemSetup systemSetup;
    protected Set<Task> tasks;

    public AbstractTest(SystemSetup systemSetup) {
        this.systemSetup = systemSetup;
        this.responseTimes = new HashMap<>();
        this.tasks = systemSetup.getTasks();
    }

}
