package mvd.jester.utils;

public class TimeUnit {
    public static long Seconds(long seconds) {
        return seconds*1_000_000_000;
    }

    public static long Seconds(double seconds) {
        return Math.round(seconds*1_000_000_000);
    }

    public static long Milliseconds(long milliseconds) {
        return milliseconds*1_000_000;
    }

    public static long Milliseconds(double milliseconds) {
        return Math.round(milliseconds*1_000_000);
    }

    public static long Microseconds(long microseconds) {
        return microseconds*1_000;
    }

    public static long Microseconds(double microseconds) {
        return Math.round(microseconds*1_000);
    }

    public static long Nanoseconds(long nanoseconds) {
        return nanoseconds;
    }

    public static long Nanoseconds(double nanoseconds) {
        return Math.round(nanoseconds);
    }

    public static long RoundTo(long value, long round) {
        return value / round * round;
    }
}

